CREATE TABLE atc_offer_banners (
    BANNER_ID                NUMBER(18, 0) ,
    BANNER_NAME              VARCHAR2(800)     NOT NULL,
    BANNER_DESCRIPTION       VARCHAR2(4000),
    BANNER_PRIORITY          NUMBER(3, 0)  ,
    START_DATE_TIME          TIMESTAMP(6)  ,
    END_DATE_TIME            TIMESTAMP(6)  ,
    PROD_OFFER_ID            NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    BANNER_ID                NUMBER(18, 0) ,
    BANNER_NAME              VARCHAR2(800)     NOT NULL,
    BANNER_DESCRIPTION       VARCHAR2(4000),
    BANNER_PRIORITY          NUMBER(3, 0)  ,
    START_DATE_TIME          TIMESTAMP(6)  ,
    END_DATE_TIME            TIMESTAMP(6)  ,
    PROD_OFFER_ID            NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_atc_offer_banners PRIMARY KEY (BANNER_ID, BANNER_ID)
);
